Subject: pty/tty bug (ugh :-)

From: [email-masked] (Mike Schwartz)

Whenever I telnet to my amigabsd machine (or rlogin) I have problems
when I use ^C to break a program I've run under netbsd.  The rlogin
or telnet simply quits, returning me to my linux (486) shell - as if
I did a logout.  But there is one major difference - after the ^C causes
the telnet/rlogin to quit, netbsd is still running whatever shell and
program I had used ^C to quit from.  Also, I get all kinds of trapsignal
errors printed to the netbsd console.  And netbsd gets into a very strange
mode where I hit return (on the console now) a few times and nothing
happens for several seconds, then all the returns generate new prompts
at the shell).  This is a new feature of vmunix.644 :-)  vmunix.621
does not exhibit the problem.